=== debian/control ===
Source: madlib
Section: math
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 10),
               libblas-dev | libblas-3gf.so,
               liblapack-dev | liblapack-3gf.so,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://sites.uclouvain.be/madlib/
Vcs-Browser: https://salsa.debian.org/debian/madlib
Vcs-Git: https://salsa.debian.org/debian/madlib.git

Package: libmadlib
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: mesh adaptation library
 This package contains the dynamic libraries for MAdLib.
 .
 MAdLib is a library that performs global node repositioning and mesh
 adaptation by local mesh modifications on tetrahedral or triangular
 meshes. It is designed to frequently adapt the mesh in transient
 computations. MAdLib is written in C++.
 .
 The adaptation procedure is driven by two objectives:
 .
 - make the edge lengths as close as possible to a (non-homogenous)
   prescribed length,
 .
 - maintain a satisfying element quality everywhere.
 .
 MAdLib can be used in transient computations in order to maintain a
 satisfying element quality (moving boundaries, multiphase flows with
 interface tracking, ...) or/and to apply selective refinements and
 coarsenings (error estimators based, interface capturing: shocks,
 free surfaces, ...).

Package: libmadlib-dev
Section: libdevel
Architecture: any
Depends: libmadlib,
         ${misc:Depends},
         ${shlibs:Depends},
Description: mesh adaptation library
 This package contains the development files (headers, so and static
 libraries) for MAdLib.
 .
 MAdLib is a library that performs global node repositioning and mesh
 adaptation by local mesh modifications on tetrahedral or triangular
 meshes. It is designed to frequently adapt the mesh in transient
 computations. MAdLib is written in C++.
 .
 The adaptation procedure is driven by two objectives:
 .
 - make the edge lengths as close as possible to a (non-homogenous)
   prescribed length,
 .
 - maintain a satisfying element quality everywhere.
 .
 MAdLib can be used in transient computations in order to maintain a
 satisfying element quality (moving boundaries, multiphase flows with
 interface tracking, ...) or/and to apply selective refinements and
 coarsenings (error estimators based, interface capturing: shocks,
 free surfaces, ...).

Package: madlib-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: mesh adaptation library
 This package contains the documentation, Examples and tutorial for
 MAdLib.
 .
 MAdLib is a library that performs global node repositioning and mesh
 adaptation by local mesh modifications on tetrahedral or triangular
 meshes. It is designed to frequently adapt the mesh in transient
 computations. MAdLib is written in C++.
 .
 The adaptation procedure is driven by two objectives:
 .
 - make the edge lengths as close as possible to a (non-homogenous)
   prescribed length,
 .
 - maintain a satisfying element quality everywhere.
 .
 MAdLib can be used in transient computations in order to maintain a
 satisfying element quality (moving boundaries, multiphase flows with
 interface tracking, ...) or/and to apply selective refinements and
 coarsenings (error estimators based, interface capturing: shocks,
 free surfaces, ...).
