=== debian/rules ===
#!/usr/bin/make -f

# Add here any variable or target overrides you need.
DEB_CONFIGURE_EXTRA_FLAGS :=       \
  --host=$(DEB_HOST_GNU_TYPE)      \
  --build=$(DEB_BUILD_GNU_TYPE)    \
  --prefix=/usr                    \
  --mandir=\$${prefix}/share/man   \
  --infodir=\$${prefix}/share/info\
  --enable-ann --enable-benchmarks \
  --with-hostname=debian

DEB_STRIPPED_UPSTREAM_VERSION = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -n -e 's/\.*$$//p')
MADLIB_VERSION=$(DEB_STRIPPED_UPSTREAM_VERSION)

%:
	dh $@ --without=autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_installexamples:
	sed -i -e "s,$(CURDIR),BUILDDIR,g" variables
	dh_installexamples
