=== debian/watch ===
version=4
opts="uversionmangle=s/_/./g" \
https://sites.uclouvain.be/madlib/ Downloads/MAdLib_([\d._]+)@ARCHIVE_EXT@
